#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 25. Graphical Environment Libraries

- Prev

  GOffice-0.10.60

- Next

  GTK-3.24.52

- Up
- Home

# Graphene-1.10.8

## Introduction to Graphene

The Graphene package provides a thin layer of types for graphics libraries.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/graphene/1.10/graphene-1.10.8.tar.xz

- Download MD5 sum: 169e3c507b5a5c26e9af492412070b81

- Download size: 328 KB

- Estimated disk space required: 7.6 MB

- Estimated build time: less than 0.1 SBU (with tests)

### Graphene Dependencies

#### Required

GLib-2.88.0 (with GObject Introspection)

## Installation of Graphene

Install Graphene by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk_doc=true`: Use this switch if you have GTK-Doc-1.36.1 installed and wish to generate the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libgraphene-1.0.so
Installed Directories: /usr/include/graphene-1.0, /usr/lib/graphene-1.0, /usr/{libexec,share}/installed-tests/graphene-1.0

### Short Descriptions

`libgraphene-1.0.so` | contains functions that provide a thin layer of types for graphics libraries

- Prev

  GOffice-0.10.60

- Next

  GTK-3.24.52

- Up
- Home